<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Confirm Order</title>
    <link rel="icon" type="image/png" sizes="16x16" href="./images/favicon.png">
	<link href="/vendor/bootstrap-select/dist/css/bootstrap-select.min.css" rel="stylesheet">
	<link href="/css/style.css" rel="stylesheet">
	<script src="https://unpkg.com/cart-localstorage@1.1.4/dist/cart-localstorage.min.js" type="text/javascript"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    
</head>
<body>
    <div id="preloader">
		<div class="sk-three-bounce">
			<div class="sk-child sk-bounce1"></div>
			<div class="sk-child sk-bounce2"></div>
			<div class="sk-child sk-bounce3"></div>
		</div>
	</div>

    <div class="container-fluid" style="max-width:70%;text-align:center;">
        <div class="row page-titles mx-0" style="display:fix;">
            <div class="col-sm-12 p-md-0 col-12">
                <div class="welcome-text">
                    <h4 class="text-success">Hi, welcome to Lish Shop!</h4>
                    <p class="mb-0">สวัสดี, ยินดีต้อนรับสู่ Lish Shop!</p>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid" style="max-width:100%;text-align:center;">
        <h1>Order</h1>
        <div class="row page-titles">
            <div class="col-12">
                <table class="table">
                    <thead class="thead-light">
                        <tr>
                            <th scope="col">No.</th>
                            <th scope="col">รายการสั่งซื้อ</th>
                            <th scope="col">จำนวน</th>
                            <th scope="col">ราคา</th>
                            <th scope="col">ราคารวม</th>
                        </tr>
                    </thead>
                    <tbody>
                        <% for(let i = 0 ; i < Cart.length ; i++) {%>
                        <tr>
                            <th scope="row"><%= i + 1 %></th>
                            <td><%=Cart[i].name%></td>
                            <td><%=Cart[i].quantity %></td>
                            <td><%=Cart[i].price %> บาท</td>
                            <td><%=Cart[i].price * Cart[i].quantity%> บาท</td>
                        </tr> 
                        <% } %>
                        <tr>
                            <td scope="row"></td>
                            <td>รวม </td>
                            <td ><%=TotalQty%> ชิ้น</td>
                            <td></td>
                            <td ><%=Total%> บาท</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="container-fluid" style="max-width:100%;text-align:center;" >
            <h1>Address</h1>
            <div class="row page-titles">
                <div class="col-12">
                    <table class="table">
                        <thead class="thead-light">
                            <tr>
                                <th scope="col">ชื่อ-นามสกุล</th>
                                <th scope="col">เบอร์โทร</th>
                                <th scope="col">ที่อยู่</th>
                                <th scope="col">ตำบล/แขวง</th>
                                <th scope="col">อำเภอ/เขต</th>
                                <th scope="col">จังหวัด</th>
                                <th scope="col">รหัสไปรษณีย์</th>
                                <th scope="col">อีเมล</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr></tr>
                                <td><%=Data.Name%></td>
                                <td><%=Data.NumberPhone%></td>
                                <td><%=Data.Address%></td>
                                <td><%=Data.district%></td>
                                <td><%=Data.amphoe%></td>
                                <td><%=Data.province%></td>
                                <td><%=Data.postcode%></td>
                                <td><%=Data.Email%></td>
                            </tr> 
                        </tbody>
                    </table>
                </div>
        </div>
        <%if(Data.BANK == 1){%>
        <div class="container-fluid" style="max-width:auto;" >
            <h1>Bank</h1>
            <div class="row page-titles" style="display:flex;justify-content:center;align-items:center;">
                <%for(let j = 0 ; j < ShopBank.length; j++){%>
                        <button type="button"  class="btn col-2" data-bs-toggle="modal" data-bs-target="#exampleModal_<%=ShopBank[j].id%>" <%=Color[j]%> >
                            <%=ShopBank[j].bank%>
                        </button>
                <%}%>
            </div>
        </div>
        <%}%>
        <!-- Button trigger modal -->
        
        
        <!-- Modal -->
        <%for(let j = 0 ; j < ShopBank.length; j++){%>
            <div class="modal fade" id="exampleModal_<%=ShopBank[j].id%>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">การชำระเงิน</h5>
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" aria-label="Close">X</button>
                    </div>
                    <div class="modal-body">
                        <% if(ShopBank[j].bank == 'bbl'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : กรุงเทพ</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'kbank'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : กสิกรไทย</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                            
                        <%}else if(ShopBank[j].bank == 'ktb'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : กรุงไทย</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'bay'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : กรุงศรีอยุธยา</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'kk'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : เกียรตินาคินภัทร</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'cimb'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : ซีไอเอ็มบี ไทย</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'ttb'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : ทหารไทยธนชาต</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'scb'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : ไทยพาณิชย์</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'uob'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : ยูโอบี</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'lhb'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : แลนด์ แอนด์ เฮ้าส์</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'sc'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : สแตนดาร์ดชาร์เตอร์ด (ไทย)</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'icbc'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : ไอซีบีซี (ไทย)</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}else if(ShopBank[j].bank == 'tisco'){%>
                            <div <%=Color[j]%> >
                                <img src="<%=ShopBank[j].bank_image%>" alt="" style="width:80px;height:80px">
                                <h3>ธนาคาร : ทิสโก้</h3>
                                <h3>ชื่อบัญชี : <%=ShopBank[j].account_name%></h3>
                                <h2>เลขที่บัญชี : <%=ShopBank[j].bank_id%></h2>
                            </div>
                        <%}%>
                        <div class="mt-4 image-preview-container">
                            <div class="preview">
                                <img id="preview-selected-image<%=j+1%>"/>
                            </div>
                            <label for="file-upload">Upload Image</label>
                            <input class="form-control" type="file" id="file-upload" name="file-upload" accept="image/*" onchange="previewImage(event,'<%=j+1%>');" />
                        </div>
                    </div>
                    <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">ปิด</button>
                    <button type="button" class="btn btn-primary" onclick="BuyOrder('<%=ShopBank[j].id%>')">ยืนยัน</button>
                    </div>
                </div>
                </div>
        </div>
        <%}%>
        <%if(Data.COD == 1 ){%>
        <button type="button" class="btn btn-rounded btn-primary col-4 mt-2" onclick="BuyOrder(0)">ส่งคำสั่งซื้อ</button>
        <%}%>
        <button type="button" class="btn btn-rounded btn-warning col-4 mt-2" onclick="Back()">ยกเลิก</button>
    </div>






    <script src="/vendor/global/global.min.js"></script>
	<script src="/vendor/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
	<script src="/vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="/js/custom.min.js"></script>
	<script src="/js/deznav-init.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
	<!-- Apex Chart -->
	<script src="/vendor/apexchart/apexchart.js"></script>
    <!-- Axios -->
    <script src="https://cdn.jsdelivr.net/npm/axios@1.1.2/dist/axios.min.js"></script>
    <!-- Auto Complate -->
    <!--  END CUSTOM SCRIPTS FILE  -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.0.0-beta.20/js/uikit.min.js"></script>
    <script type="/text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/zip.js/zip.js"></script>
    <!-- / dependencies for zip mode -->
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/JQL.min.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/typeahead.bundle.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dist/jquery.Thailand.min.js"></script>
    <script>
        var ImgBankTransfer
        var imageFiles = {}
        var ImgTransfer 
        function Back(){
            window.location = '/shop/?shop=<%= Shop_code %>'
        }
        const previewImage = (event,id_preview) => {
            imageFiles = event.target.files;
            //console.log(imageFiles[0]);
            ImgBankTransfer = imageFiles[0];
            //console.log(ImgBankTransfer);
            //var img = document.getElementById('file-upload').files;
            //console.log(img);
            const imageFilesLength = imageFiles.length;
            if (imageFilesLength > 0) {
                const imageSrc = URL.createObjectURL(imageFiles[0]);
                const imagePreviewElement = document.querySelector(`#preview-selected-image${id_preview}`);
                imagePreviewElement.src = imageSrc;
                ImgTransfer = imageSrc;
                imagePreviewElement.style.display = "flex";
                imagePreviewElement.style = "align-items:center;justify-content:center;width:70%;height:350px;"
            }
        };

        function BuyOrder(bank){
            if(`<%=Data.COD%>` == 1){
                let ArrInfo = new FormData();
                let Name = `<%=Data.Name%>`
                let fnamelname = Name.split(" ");
                //console.log(fnamelname);
                ArrInfo.append('fname',fnamelname[0])
                ArrInfo.append('lname',fnamelname[1])
                ArrInfo.append('numberphone','<%=Data.NumberPhone%>')
                ArrInfo.append('email','<%=Data.Email%>')
                ArrInfo.append('address','<%=Data.Address%>')
                ArrInfo.append('district','<%=Data.district%>')
                ArrInfo.append('amphoe','<%=Data.amphoe%>')
                ArrInfo.append('province','<%=Data.province%>')
                ArrInfo.append('postcode','<%=Data.postcode%>')
                ArrInfo.append('payment',1)
                ArrInfo.append('payment_status',1)
                ArrInfo.append('delivery_status',0)
                ArrInfo.append('courier_code',null)
                ArrInfo.append('courier_tracking',0)
                ArrInfo.append('courier_booking',0)
                ArrInfo.append('COD','<%=Data.COD%>')
                ArrInfo.append('BANK','<%=Data.BANK%>')
                ArrInfo.append('bank',bank)
                ArrInfo.append('Shop','<%= Shop_code %>')
                console.log(Object.fromEntries(ArrInfo));
                axios.post('/shop/buyorder2',{Data:Object.fromEntries(ArrInfo)}).then((result)=>{
                    if(result.data.Message == 'Success'){
                        Swal.fire('สั่งซื้อสำเร็จ','','success').then(()=>{
                            window.location = '/shop/ordersuccess2?shop=<%= Shop_code%>'
                        })
                    }
                })
            }else if(`<%=Data.BANK%>` == 1){
                if(ImgBankTransfer == undefined){
                Swal.fire('กรุณากรอกรูปภาพ','','warning')
                }else{
                    let arr = new FormData();
                    let Name = `<%=Data.Name%>`
                    let fnamelname = Name.split(" ");
                    arr.append('ImgBankTransfer',ImgBankTransfer)
                    arr.append('fname',fnamelname[0])
                    arr.append('lname',fnamelname[1])
                    arr.append('numberphone','<%=Data.NumberPhone%>')
                    arr.append('email','<%=Data.Email%>')
                    arr.append('address','<%=Data.Address%>')
                    arr.append('district','<%=Data.district%>')
                    arr.append('amphoe','<%=Data.amphoe%>')
                    arr.append('province','<%=Data.province%>')
                    arr.append('postcode','<%=Data.postcode%>')
                    arr.append('payment',2)
                    arr.append('payment_status',1)
                    arr.append('delivery_status',0)
                    arr.append('courier_code',null)
                    arr.append('courier_tracking',0)
                    arr.append('courier_booking',0)
                    arr.append('COD','<%=Data.COD%>')
                    arr.append('BANK','<%=Data.BANK%>')
                    arr.append('bank',bank)
                    arr.append('Shop','<%= Shop_code %>')
                    console.log(Object.fromEntries(arr));
                    $.ajax({
                        url: '/shop/buyorder1',
                        data: arr,
                        processData: false,
                        contentType: false,
                        type: 'post',
                        success: function(data){
                            if(data.Message == 'Success'){
                                Swal.fire('สั่งซื้อสำเร็จ','','success').then(()=>{
                                    window.location = '/shop/ordersuccess1?shop=<%= Shop_code%>'
                                })
                            }
                        }
                    });
                }
            }
            
        }
    </script>
</body>
</html>
